package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireAidkitMapper;
import com.ruoyi.project.patrol.fire.domain.TFireAidkit;
import com.ruoyi.project.patrol.fire.service.ITFireAidkitService;

/**
 * 急救箱检查记录Service业务层处理
 *
 * @author ssy
 * @date 2024-10-30
 */
@Service
public class TFireAidkitServiceImpl implements ITFireAidkitService
{
    @Autowired
    private TFireAidkitMapper tFireAidkitMapper;

    /**
     * 查询急救箱检查记录
     *
     * @param id 急救箱检查记录ID
     * @return 急救箱检查记录
     */
    @Override
    public TFireAidkit selectTFireAidkitById(Long id)
    {
        return tFireAidkitMapper.selectTFireAidkitById(id);
    }

    /**
     * 查询急救箱检查记录列表
     *
     * @param tFireAidkit 急救箱检查记录
     * @return 急救箱检查记录
     */
    @Override
    public List<TFireAidkit> selectTFireAidkitList(TFireAidkit tFireAidkit)
    {
        return tFireAidkitMapper.selectTFireAidkitList(tFireAidkit);
    }

    /**
     * 新增急救箱检查记录
     *
     * @param tFireAidkit 急救箱检查记录
     * @return 结果
     */
    @Override
    public int insertTFireAidkit(TFireAidkit tFireAidkit)
    {
        return tFireAidkitMapper.insertTFireAidkit(tFireAidkit);
    }

    /**
     * 修改急救箱检查记录
     *
     * @param tFireAidkit 急救箱检查记录
     * @return 结果
     */
    @Override
    public int updateTFireAidkit(TFireAidkit tFireAidkit)
    {
        return tFireAidkitMapper.updateTFireAidkit(tFireAidkit);
    }

    /**
     * 批量删除急救箱检查记录
     *
     * @param ids 需要删除的急救箱检查记录ID
     * @return 结果
     */
    @Override
    public int deleteTFireAidkitByIds(Long[] ids)
    {
        return tFireAidkitMapper.deleteTFireAidkitByIds(ids);
    }

    /**
     * 删除急救箱检查记录信息
     *
     * @param id 急救箱检查记录ID
     * @return 结果
     */
    @Override
    public int deleteTFireAidkitById(Long id)
    {
        return tFireAidkitMapper.deleteTFireAidkitById(id);
    }
}
